Bug 1059897 - Support 64-bit /SYM64/ symbol table
Summary: Support 64-bit /SYM64/ symbol table
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: elfutils
Version: 6.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Mark Wielaard
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On:
Blocks: 1023566 1054486
TreeView+ depends on / blocked
 
Reported: 2014-01-30 21:15 UTC by Ed Santiago
Modified: 2018-12-05 17:07 UTC (History)
9 users (show)

Fixed In Version: elfutils-0.152-2.el6
Doc Type: Bug Fix
Doc Text:
Cause: eu-readelf was unable to read (some) 64-bit (s390x) ar archive files because it didn't supported the special entry /SYM64/ Consequence: eu-readelf would report "not a valid ELF file". Fix: Support for reading ar archives that contain special /SYM64/ entries has been added. Result: eu-readelf will properly read 64-bit ar archives.
Clone Of:
Environment:
Last Closed: 2014-10-14 06:42:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:1472 0 normal SHIPPED_LIVE elfutils bug fix and enhancement update 2014-10-14 01:10:42 UTC

Description Ed Santiago 2014-01-30 21:15:55 UTC
eu-readelf 0.152 is unable to read (some) 64-bit s390x archives:

   not a valid ELF file

This blocks internal testing.

The fix is, I believe, commit e1873141a517738d8c50923e40525bb2ae6db68a.

Comment 2 Mark Wielaard 2014-01-30 21:54:21 UTC
This was fedora bug #843019 for which Petr wrote a fix which was accepted upstream and part of elfutils 0.155 (indeed the commit mentioned in the description). He also wrote a backport against the fedora elfutils package elfutils-0.154-sym64.patch

Comment 15 errata-xmlrpc 2014-10-14 06:42:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-1472.html


Note You need to log in before you can comment on or make changes to this bug.